{
    "type": "project",
    "name": "libriciel/provisioning-myec3-symfony",
    "description": "Application web permettant de servir de endpoint à MyEC3 (Worldline) afin de provisionner les applications Libriciel",
    "license": "AGPL-3.0-only",
    "require": {
        "php": "^7.2.0",
        "ext-ctype": "*",
        "ext-dom": "*",
        "ext-iconv": "*",
        "ext-json": "*",
        "ext-libxml": "*",
        "ext-simplexml": "*",
        "doctrine/doctrine-bundle": "^2.7",
        "doctrine/doctrine-migrations-bundle": "^3.2",
        "doctrine/orm": "^2.12",
        "guzzlehttp/psr7": "^1.8",
        "libriciel/pastell-api-php": "^1.1",
        "nyholm/psr7": "^1.2",
        "sensio/framework-extra-bundle": "^5.5",
        "symfony/console": "^5.4",
        "symfony/dotenv": "^5.4",
        "symfony/flex": "^1.19.1",
        "symfony/framework-bundle": "^5.4",
        "symfony/http-client": "^5.4",
        "symfony/proxy-manager-bridge": "^5.4",
        "symfony/runtime": "^5.4",
        "symfony/yaml": "^5.4"
    },
    "require-dev": {
        "symfony/browser-kit": "^5.4",
        "symfony/css-selector": "^5.4",
        "symfony/debug-bundle": "^5.4",
        "symfony/maker-bundle": "^1.14",
        "symfony/monolog-bundle": "^3.0",
        "symfony/phpunit-bridge": "^5.4",
        "symfony/stopwatch": "^5.4",
        "symfony/web-profiler-bundle": "^5.4"
    },
    "config": {
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "allow-plugins": {
            "symfony/flex": true,
            "symfony/runtime": true
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "^5.4"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true
}
